* Module ctstream.h  V010AM01 === 091487
*
*    PROPRIETARY PROGRAM MATERIAL
* REPRODUCTION OR DISCLOSURE IS PROHIBITED WITHOUT WRITTEN AUTHORIZATION
* OF THE PATENT DIVISION OF UNISYS CORPORATION, DETROIT, MICHIGAN 48232, USA.
* COPYRIGHT (C) 1987 BORLAND INTERNATIONAL
* COPYRIGHT (C) 1987 UNISYS CORPORATION
*
if	defined(__ERCTYPE)
define	__ERCTYPE

typedef	unsigned	ErcType;
endif

ErcType	CheckpointBs plm far(void *far pBSWA);
ErcType CloseByteStream plm far(void *far pBSWA);
ErcType GetBsLfa plm far(void *far pBSWA, void *far pLfaRet);
ErcType	OpenByteStream plm far(void *far pBSWA, char *far pbFileSpec,
		int cbFileSpec, char *far pbPassword, int cbPassword,
		int mode, void *far pBufferArea, int sBufferArea);
ErcType	PutBackByte plm far(void *far pBSWA, char b);
ErcType	QueryVidBs plm far(void *far pBSWA, void *far pBsVidStateRet);
ErcType	ReadBsRecord plm far(void *far pBSWA, char *far pBufferRet, 
		int sBufferMax, int *far psDataRet);
ErcType	ReadByte plm far(void *far pBSWA, char *far pbRet);
ErcType	ReadBytes plm far(void *far pBSWA, int cbMax, char *far *far ppbRet,
		int *far pcbRet);
ErcType	ReleaseByteStream plm far(void *far pBSWA);
ErcType	SetBsLfa plm far(void *far pBSWA, long lfa);
ErcType	SetImageMode plm far(void *far pBSWA, int mode);
ErcType	WriteBsRecord plm far(void *far pBSWA, char *far pb, int cb,
		int *far pcbRet);
ErcType	WriteByte plm far(void *far pBSWA, char b);
